Subject: Re: [PATCH] t4013: add expected failure for "log --patch --no-patch"

From: Felipe Contreras <[email-masked]>
Date: Wed, 03 May 2023 12:32:36 -0600

Junio C Hamano wrote:
> I am trying to see if pushing back at first would serve as a good way
> to encourage these known failure to be fixed, without accumulating too
> many expect_failure in our test suite, which will waste cycles at CI
> runs

> (which do not need to be reminded something is known to be broken)

We don't?

There's plenty of things that are broken in git that people have
forgotten.

If wasting cycles on CI runs is your concern, I would gladly write a
patch to skipp all the test_expect_failure tests.

I would rather have documented all the things are known to be broken
today than not, because in a month that might not be the case.

-- 
Felipe Contreras